跳转到内容

Lightx · Relight

集成

模型 id lightx/relight
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/lightx/relight?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

与示例类似的文件: $0.49 490 API 积分 · ≈ ₽51.68 运行前会测量你的文件 在此页面运行

获取 API 密钥
Open model 视频转换 参考输入 #video-to-video

由提示词、参考帧、HDR 图像或背景图像驱动的视频重新布光

Open model · 视频

你的第一个结果将在此显示

在下方构建请求,并使用你的 API 密钥运行。输出会复制到我们的存储中,可永久保存或免费保存 7 天。

构建请求

控件根据模型架构生成。更改控件时,代码和价格会同步更新。

可选的文本提示词;未提供提示词时,Light-X 会自动为视频生成字幕。

•必填 video_url
拖放文件,或

输入视频的 URL。

高级 relit_cond_type · relit_cond_img_url · ref_id · seed · enable_safety_checker · relight_parameters
relit_cond_type 默认 ic

用于重新打光的条件类型。

relight_condition_type 的 'ref'、'hdr' 和 'bg' 设置所需的条件图像 URL;在 'bg' 模式下,该图像用作背景。

默认 0

按帧索引选择的重新打光参考;生成的帧数作为不包含在内的上限。该数量默认值为 49。

使生成结果可复现的种子。设置为 None 时会随机选择种子。

重新打光设置,其使用取决于 relight_condition_type:'ic' 要求提供这些设置,而 'bg' 会忽略它们并改为要求背景图像 URL。

POST /run/lightx/relight?wait=20 报价 → $0.49
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/lightx/relight?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

运行此请求

你的密钥会保留在此浏览器中:仅发送到 Doitong API;只有勾选“记住”后才会保存到 localStorage。 获取 API 密钥

关于 Lightx · Relight

改变输入视频的光照。`relit_cond_type` 选择条件类型:ic(使用 `relight_parameters`)、ref、hdr 或 bg,后三者需要在 `relit_cond_img_url` 中提供条件图像。`ref_id`(0 到 48)选择 ref 模式的参考帧。文本 `prompt` 可选;省略时会自动为视频生成字幕。

参数

发送规范名称或原生名称之一,不要同时发送两者。 规范名称

名称类型 默认值允许值 描述
video_url必填 video
类型url · video
输入视频的 URL。
prompt可选
类型string | null
可选的文本提示词;未提供提示词时,Light-X 会自动为视频生成字幕。
seed可选
类型integer | null
使生成结果可复现的种子。设置为 None 时会随机选择种子。
relit_cond_type可选
类型enum
默认值ic
icrefhdrbg
用于重新打光的条件类型。
relight_parameters可选
类型object
重新打光设置,其使用取决于 relight_condition_type:'ic' 要求提供这些设置,而 'bg' 会忽略它们并改为要求背景图像 URL。
relight_parameters.relight_prompt必填
类型string
指定要生成的照明条件的文本提示词。
relight_parameters.bg_source可选
类型enum
默认值Left
LeftRightTopBottom
IC-light 的光源方向。
relight_parameters.cfg可选
类型number
默认值2
1 – 10
重新打光期间应用的 classifier-free guidance 缩放。
relight_parameters.use_sky_mask可选
类型boolean
默认值false
户外场景的天空遮罩开关。
relit_cond_img_url可选
类型string | null
relight_condition_type 的 'ref'、'hdr' 和 'bg' 设置所需的条件图像 URL;在 'bg' 模式下,该图像用作背景。
ref_id可选
类型integer
默认值0
0 – 48
按帧索引选择的重新打光参考;生成的帧数作为不包含在内的上限。该数量默认值为 49。
enable_safety_checker可选
类型boolean
默认值true
调用方获得授权后,可将其设置为 false 以放宽审核。
必填 规范名称,也可接受

文件参数接受公开的 https:// URL、最大 10 MB 的 data: URI,或上传文件的 file_url。 文件

输出

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "lightx/relight",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 490,
    "usd": "0.49",
    "charged": 490,
    "refunded": 0
  },
  "input": {
    "video_url": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    },
    "seed": 42,
    "input_video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    },
    "viz_video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
你的文件,由你选择每个 outputs[].url 都是存储中的副本:可永久保存(按 GB-月付费),也可免费保存 7 天,由账户设置或 ?storage= 决定。
每个模型的结构相同图像、视频和音频均包含 type、url、content_type、width、height 和 duration。output 是模型自身的结果对象。
输出字段
video
object {url, content_type, file_name, file_size}生成得到的视频文件。
seed
integer生成期间应用的种子值。
input_video
object {url, content_type, file_name, file_size} | null经规范化或处理的输入视频;当管线生成该视频时可选择返回。
viz_video
object {url, content_type, file_name, file_size} | null可视化或调试视频;当管线生成该视频时可选择返回。

更多模型:视频转换

对于 AI 代理:此页面的 Markdown 版本位于 https://doitong.com/zh/developers/models/lightx/relight.md. 所有模型和指南: https://doitong.com/developers/llms.txt